Package com.independentsoft.office.odf

# Enum Class ChapterDisplayFormat

java.lang.Object
java.lang.Enum<ChapterDisplayFormat>
com.independentsoft.office.odf.ChapterDisplayFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<ChapterDisplayFormat>`, `Constable`

public enum ChapterDisplayFormat extends Enum<ChapterDisplayFormat>
Represents the display format of the chapter number in a chapter text field.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NAME`
  The title of the chapter is displayed.
  `NONE`
  None
  `NUMBER`
  The number including prefix and suffix of the chapter is displayed.
  `NUMBER_AND_NAME`
  The title and number including prefix and suffix of the chapter are displayed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChapterDisplayFormat`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ChapterDisplayFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NAME

    public static final ChapterDisplayFormat NAME
    The title of the chapter is displayed.

  - ### NUMBER

    public static final ChapterDisplayFormat NUMBER
    The number including prefix and suffix of the chapter is displayed.

  - ### NUMBER_AND_NAME

    public static final ChapterDisplayFormat NUMBER_AND_NAME
    The title and number including prefix and suffix of the chapter are displayed.

  - ### NONE

    public static final ChapterDisplayFormat NONE
    None

- ## Method Details

  - ### values

    public static ChapterDisplayFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ChapterDisplayFormat valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null